package com.sun.xml.internal.ws.resources;

import com.sun.istack.internal.localization.Localizable;
import com.sun.istack.internal.localization.Localizer;
import com.sun.istack.internal.localization.LocalizableMessageFactory;

public final class DispatchMessages
{
    private static final LocalizableMessageFactory messageFactory;
    private static final Localizer localizer;
    
    public DispatchMessages() {
    }
    
    public static Localizable localizableINVALID_NULLARG_XMLHTTP_REQUEST_METHOD(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.nullarg.xmlhttp.request.method", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_NULLARG_XMLHTTP_REQUEST_METHOD(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_NULLARG_XMLHTTP_REQUEST_METHOD(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_NULLARG_URI() {
        return DispatchMessages.messageFactory.getMessage("invalid.nullarg.uri", new Object[0]);
    }
    
    public static String INVALID_NULLARG_URI() {
        return DispatchMessages.localizer.localize(localizableINVALID_NULLARG_URI());
    }
    
    public static Localizable localizableINVALID_SOAPMESSAGE_DISPATCH_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.soapmessage.dispatch.msgmode", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_SOAPMESSAGE_DISPATCH_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_SOAPMESSAGE_DISPATCH_MSGMODE(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_RESPONSE_DESERIALIZATION() {
        return DispatchMessages.messageFactory.getMessage("invalid.response.deserialization", new Object[0]);
    }
    
    public static String INVALID_RESPONSE_DESERIALIZATION() {
        return DispatchMessages.localizer.localize(localizableINVALID_RESPONSE_DESERIALIZATION());
    }
    
    public static Localizable localizableINVALID_QUERY_LEADING_CHAR(Object arg0) {
        return DispatchMessages.messageFactory.getMessage("invalid.query.leading.char", new Object[] { arg0 });
    }
    
    public static String INVALID_QUERY_LEADING_CHAR(Object arg0) {
        return DispatchMessages.localizer.localize(localizableINVALID_QUERY_LEADING_CHAR(arg0));
    }
    
    public static Localizable localizableINVALID_QUERY_STRING(Object arg0) {
        return DispatchMessages.messageFactory.getMessage("invalid.query.string", new Object[] { arg0 });
    }
    
    public static String INVALID_QUERY_STRING(Object arg0) {
        return DispatchMessages.localizer.localize(localizableINVALID_QUERY_STRING(arg0));
    }
    
    public static Localizable localizableDUPLICATE_PORT(Object arg0) {
        return DispatchMessages.messageFactory.getMessage("duplicate.port", new Object[] { arg0 });
    }
    
    public static String DUPLICATE_PORT(Object arg0) {
        return DispatchMessages.localizer.localize(localizableDUPLICATE_PORT(arg0));
    }
    
    public static Localizable localizableINVALID_DATASOURCE_DISPATCH_BINDING(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.datasource.dispatch.binding", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_DATASOURCE_DISPATCH_BINDING(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_DATASOURCE_DISPATCH_BINDING(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_DATASOURCE_DISPATCH_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.datasource.dispatch.msgmode", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_DATASOURCE_DISPATCH_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_DATASOURCE_DISPATCH_MSGMODE(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_NULLARG_SOAP_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.nullarg.soap.msgmode", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_NULLARG_SOAP_MSGMODE(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_NULLARG_SOAP_MSGMODE(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_URI(Object arg0) {
        return DispatchMessages.messageFactory.getMessage("invalid.uri", new Object[] { arg0 });
    }
    
    public static String INVALID_URI(Object arg0) {
        return DispatchMessages.localizer.localize(localizableINVALID_URI(arg0));
    }
    
    public static Localizable localizableINVALID_SOAPMESSAGE_DISPATCH_BINDING(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.soapmessage.dispatch.binding", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_SOAPMESSAGE_DISPATCH_BINDING(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_SOAPMESSAGE_DISPATCH_BINDING(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_URI_PATH_QUERY(Object arg0, Object arg1) {
        return DispatchMessages.messageFactory.getMessage("invalid.uri.path.query", new Object[] { arg0, arg1 });
    }
    
    public static String INVALID_URI_PATH_QUERY(Object arg0, Object arg1) {
        return DispatchMessages.localizer.localize(localizableINVALID_URI_PATH_QUERY(arg0, arg1));
    }
    
    public static Localizable localizableINVALID_RESPONSE() {
        return DispatchMessages.messageFactory.getMessage("invalid.response", new Object[0]);
    }
    
    public static String INVALID_RESPONSE() {
        return DispatchMessages.localizer.localize(localizableINVALID_RESPONSE());
    }
    
    public static Localizable localizableINVALID_URI_RESOLUTION(Object arg0) {
        return DispatchMessages.messageFactory.getMessage("invalid.uri.resolution", new Object[] { arg0 });
    }
    
    public static String INVALID_URI_RESOLUTION(Object arg0) {
        return DispatchMessages.localizer.localize(localizableINVALID_URI_RESOLUTION(arg0));
    }
    
    public static Localizable localizableINVALID_URI_DECODE() {
        return DispatchMessages.messageFactory.getMessage("invalid.uri.decode", new Object[0]);
    }
    
    public static String INVALID_URI_DECODE() {
        return DispatchMessages.localizer.localize(localizableINVALID_URI_DECODE());
    }
    
    static {
        messageFactory = new LocalizableMessageFactory("com.sun.xml.internal.ws.resources.dispatch");
        localizer = new Localizer();
    }
}
